Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Retrieves the data from all the recent runs

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/run-data' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The run data

Bodyapplication/jsonArray [
idstring or null

The database id of the run data

runReportFileNamestring or null

The run report file name

userNamestring or null

The name of the user that ran the protocol

protocolNamestring or null

The protocol name that was run

softwareVersionstring or null

The software version present when the protcol was ran

deviceSerialNumberstring or null

The serial number of the device that the protocol was ran on

enclosureStatusstring or null

The status of the enclosure

startTimestring(date-time)

The date time of when the protocol ran

endTimestring(date-time)

The end date time of when the protocol ran

runResultstring or null

The result of the run

errorMessagesArray of objects or null(ErrorMessage)

The list of error messages that occurred during the run

pausesArray of objects or null(Pause)

The list of pauses that occurred during the run

runtimeStepsArray of objects or null(RuntimeStep)

The list of steps that ran

stepOverviewsArray of objects or null(StepOverview)

The list additional information for each step

plateTransportsArray of objects or null(PlateTransport)

The list of plate transports that were run

rtsaSelectionsArray of objects or null(RtsaSelection)

The list of rtsa Selections

liquidOverviewsArray of objects or null(LiquidOverview)

The list of liquids used during the run

tubeOverviewsArray of objects or null(TubeOverview)

The list of tubes used during the run

doorStatusEventsArray of objects or null(DoorEvent)

The list of door status events that occurred during the run

thermalDevicestring or null

The configured thermal device, if any.

labwareItemsArray of objects or null(RuntimeLabwareItem)

The list of labware

runtimeLightingSettingsobject(LightingSettings)
hepaOverviewobject(HepaOverview)
unmappedPipetteActivitiesArray of objects or null(PipetteActivity)

Any pipette activities from the protocol that could not be associated with a step

pipetteDataAvailablebooleanread-only

Indicates if pipette data is still available for this run

]
Response
application/json
[ { "id": "string", "runReportFileName": "string", "userName": "string", "protocolName": "string", "softwareVersion": "string", "deviceSerialNumber": "string", "enclosureStatus": "string", "startTime": "2019-08-24T14:15:22Z", "endTime": "2019-08-24T14:15:22Z", "runResult": "string", "errorMessages": [], "pauses": [], "runtimeSteps": [], "stepOverviews": [], "plateTransports": [], "rtsaSelections": [], "liquidOverviews": [], "tubeOverviews": [], "doorStatusEvents": [], "thermalDevice": "string", "labwareItems": [], "runtimeLightingSettings": {}, "hepaOverview": {}, "unmappedPipetteActivities": [], "pipetteDataAvailable": true } ]

Retrieves the run data provided run ID

Request

Security
Bearer
Path
runDataIdstringrequired

The run id

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/run-data/{runDataId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The run data object

Bodyapplication/json
idstring or null

The database id of the run data

runReportFileNamestring or null

The run report file name

userNamestring or null

The name of the user that ran the protocol

protocolNamestring or null

The protocol name that was run

softwareVersionstring or null

The software version present when the protcol was ran

deviceSerialNumberstring or null

The serial number of the device that the protocol was ran on

enclosureStatusstring or null

The status of the enclosure

startTimestring(date-time)

The date time of when the protocol ran

endTimestring(date-time)

The end date time of when the protocol ran

runResultstring or null

The result of the run

errorMessagesArray of objects or null(ErrorMessage)

The list of error messages that occurred during the run

pausesArray of objects or null(Pause)

The list of pauses that occurred during the run

runtimeStepsArray of objects or null(RuntimeStep)

The list of steps that ran

stepOverviewsArray of objects or null(StepOverview)

The list additional information for each step

plateTransportsArray of objects or null(PlateTransport)

The list of plate transports that were run

rtsaSelectionsArray of objects or null(RtsaSelection)

The list of rtsa Selections

liquidOverviewsArray of objects or null(LiquidOverview)

The list of liquids used during the run

tubeOverviewsArray of objects or null(TubeOverview)

The list of tubes used during the run

doorStatusEventsArray of objects or null(DoorEvent)

The list of door status events that occurred during the run

thermalDevicestring or null

The configured thermal device, if any.

labwareItemsArray of objects or null(RuntimeLabwareItem)

The list of labware

runtimeLightingSettingsobject(LightingSettings)
hepaOverviewobject(HepaOverview)
unmappedPipetteActivitiesArray of objects or null(PipetteActivity)

Any pipette activities from the protocol that could not be associated with a step

pipetteDataAvailablebooleanread-only

Indicates if pipette data is still available for this run

Response
application/json
{ "id": "string", "runReportFileName": "string", "userName": "string", "protocolName": "string", "softwareVersion": "string", "deviceSerialNumber": "string", "enclosureStatus": "string", "startTime": "2019-08-24T14:15:22Z", "endTime": "2019-08-24T14:15:22Z", "runResult": "string", "errorMessages": [ {} ], "pauses": [ {} ], "runtimeSteps": [ {} ], "stepOverviews": [ {} ], "plateTransports": [ {} ], "rtsaSelections": [ {} ], "liquidOverviews": [ {} ], "tubeOverviews": [ {} ], "doorStatusEvents": [ {} ], "thermalDevice": "string", "labwareItems": [ {} ], "runtimeLightingSettings": { "deckLightsSetting": "AlwaysEnable", "deckLightsSettingDisplayName": "string", "disableErrorLights": true }, "hepaOverview": { "hasHepaUv": true, "fanStatus": true }, "unmappedPipetteActivities": [ {} ], "pipetteDataAvailable": true }

Retrieves the run data PDF report from the provided run ID

Request

Security
Bearer
Path
runDataIdstringrequired

The run id

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/run-data/{runDataId}/pdf' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The run data PDF file

Bodyapplication/json
string(binary)
Response
application/json
"string"

Retrieves the run data pipetting CSV file from the provided run ID

Request

Security
Bearer
Path
runDataIdstringrequired

The run id

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/run-data/{runDataId}/pipetting-csv' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The run data pipetting CSV file

Bodyapplication/json
string(binary)
Response
application/json
"string"

Retrieves the run data pipetting CSV file from the provided run ID and step ID

Request

Security
Bearer
Path
runDataIdstringrequired

The run id

stepIdinteger(int32)required

The step id

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/run-data/{runDataId}/pipetting-csv/{stepId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The run data pipetting CSV file

Bodyapplication/json
string(binary)
Response
application/json
"string"

Gets the possible run results

Request

Return an array of the available results a run can have (Completed, Aborted, Error, Canceled)

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/run-data/get-run-result-enum' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The possible run results

Bodyapplication/jsonArray [
string
]
Response
application/json
[ "string" ]

Gets the possible date ranges

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/run-data/date-range-options' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The possible date ranges

Bodyapplication/jsonArray [
string
]
Response
application/json
[ "string" ]

Deletes the run data

Request

Security
Bearer
Path
runDataIdsstringrequired

The run id

curl -i -X DELETE \
  'http://{{your_prep_ip_address}}/api/v1/run-data/{runDataIds}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The run data was deleted successfully

Response
No content

Deletes the run data(s)

Request

Security
Bearer
BodyArray [
string
]
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/run-data/batch-delete' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '[
    "string"
  ]'

Responses

The run data was deleted successfully

Response
No content

Export run data file(s)

Request

Security
Bearer
Query
runDataIdArray of stringsrequired

The id(s) of the run data to export

includePdfboolean

If the PDF report should be included

includeJsonboolean

If the JSON data should be included

includeCsvboolean

If the CSV data should be included

separateCsvPerStepboolean

If there should be separate CSV files per step

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/run-data/export?runDataId=string&includePdf=true&includeJson=true&includeCsv=true&separateCsvPerStep=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The run data was exported successfully

Bodyapplication/json
string(binary)
Response
application/json
"string"

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations